0

I have been running qgis in Mountain Lion for a few weeks now, but when I upgraded to OS X 10.8.1, qgis would no longer work. I get an error saying:

QGIS cannot be opened because of a problem. Check with the developer to makes sure QGIS works with this version of OS X. You may need to reinstall the application. Be sure to install any available updates for the application and OS X.

I have tried re-installing qgis (I have even tried installing the nightly build) and I have also updated all of the packages that qgis requires.

Has anyone had a similar problem or more importantly, does anyone have a solution?

Thank you!

1

To fix this issue, I re-installed the latest version of the gdal complete framework (http://www.kyngchaos.com/software/frameworks#gdal_complete). I am not sure which version I was using before I upgraded to OSX 10.8.1, but there seems to have been an update.

-Kevin

  • It is worth reinstalling the GDAL complete framework when you make any changes to OSX – or upgrade QGIS - or even if you find some strange behaviour with QGIS plugins. It's solved a few issues for me over time. – Simbamangu Sep 6 '12 at 7:21

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.